#include <bits/stdc++.h>
using namespace std;
long long n,ps[200005];
double rez,tren;
struct slog{
    long long a;
    double p;
}fril[200005];
bool cmp(slog a, slog b){
    return a.p>b.p;
}
int main(){
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>fril[i].a>>fril[i].p;
    }

    sort(fril+1,fril+1+n,cmp);

    for(int i=1;i<=n;i++){
        ps[i]=ps[i-1]+fril[i].a;
    }

    for(int i=n;i>=1;i--){
        tren=ps[i]*(fril[i].p/100);
        rez=max(rez,tren);
    }

    cout<<setprecision(4)<<fixed<<rez<<endl;



return 0;}